# Upstream version has '-' so replace with '.' in our version and create upstream format here
%define uver    %{expand:%(echo %{version}|rev|sed 's:\\.:\\-:'|rev)}
Name:           osmo
Version:        0.4.0.1
Release:        %mkrel 1
Summary:        A handy lightweight PIM (Personal Information Manager)
License:        GPLv2+
Group:          Office/Organizer 
Url:            http://clayo.org/osmo
Source0:        http://downloads.sourceforge.net/osmo-pim/%{name}-%{uver}.tar.gz

BuildRequires:  desktop-file-utils
BuildRequires:  %{_lib}gringotts-devel
BuildRequires:  %{_lib}tar-devel
BuildRequires:  pkgconfig(gtk+-3.0)
BuildRequires:  pkgconfig(gtkspell3-3.0)
BuildRequires:  pkgconfig(libarchive) 
BuildRequires:  pkgconfig(libgtkhtml-3.14)
BuildRequires:  pkgconfig(libical)
BuildRequires:  pkgconfig(libnotify)
BuildRequires:  pkgconfig(webkit2gtk-4.0)

%description
A handy personal organizer, which includes calendar, tasks manager, address
book and notes modules. It was designed to be small, easy to use and good
looking. It is quite convenient to use - for example, the user can perform
nearly all operations using the keyboard.
Also, many parameters are configurable to meet the user's preferences.
On the technical side, Osmo is a GTK+ based tool which uses a plain XML
database to store all personal data.
It is independent of any particular desktop environment. 

%prep
%setup -q -n %{name}-%{uver}

%build
%configure2_5x LIBICAL_CFLAGS=-I/usr/include/libical
%make_build

%install
%make_install

desktop-file-edit \
--add-category='X-Mageia-CrossDesktop' \
%{buildroot}%{_datadir}/applications/%{name}.desktop

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS ChangeLog README* TRANSLATORS
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}*
%{_datadir}/sounds/%{name}
%{_mandir}/man1/%{name}.1*


%changelog
* Fri Jun 02 2017 barjac <barjac> 0.4.0.1-1.mga6
+ Revision: 1105762
- new version 0.4.0.1
- new BRs added to enable several features that were missing
- BRs changed to pkgconfig format
- Source0 fixed for odd upstream version format
- use %%make_build %%make_install macros

* Mon Jan 25 2016 luigiwalser <luigiwalser> 0.2.14-2.mga6
+ Revision: 927288
- rebuild for libical

* Sat Oct 10 2015 barjac <barjac> 0.2.14-1.mga6
+ Revision: 889368
- new version 0.2.14
- removed obsolete patch

* Wed Oct 15 2014 umeabot <umeabot> 0.2.10-11.mga5
+ Revision: 744953
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.2.10-10.mga5
+ Revision: 683282
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.2.10-9.mga4
+ Revision: 525742
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 fwang <fwang> 0.2.10-8.mga4
+ Revision: 434362
- rebuild for new ical

* Sun Jan 13 2013 umeabot <umeabot> 0.2.10-7.mga3
+ Revision: 362237
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Sep 28 2012 barjac <barjac> 0.2.10-6.mga3
+ Revision: 299040
- Change group to new policy

* Fri Feb 03 2012 barjac <barjac> 0.2.10-5.mga2
+ Revision: 204246
- rebuild due to a missing signature

* Sun Jan 08 2012 barjac <barjac> 0.2.10-4.mga2
+ Revision: 193019
- Added X-Mageia-CrossDesktop to .desktop
- Added BuildRequire: desktop-file-utils for above

* Tue Nov 29 2011 barjac <barjac> 0.2.10-3.mga2
+ Revision: 174304
- Bump release to one above mga1
- Bump release above 2010.2

* Tue Nov 29 2011 barjac <barjac> 0.2.10-1.mga2
+ Revision: 174124
- imported package osmo

